Bank Mega Syariah Existing - Feature #1707

[BMS - Jamsostek] Perhitungan Jamsostek Tenaga Kerja
10/17/2022 05:19 PM - Mohammad Daud

Status: QA Test Start date: 10/17/2022
Priority: Urgent Due date: 10/20/2022
Assignee: Mohammad Daud % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Team Developer,

Mohon bantuannya untuk dapat memperbaiki Formula perhitungan Jamsostek Ketenegakerjaan agar membaca Tabel
base_cust_ref _jamsostek_pension untuk mengambil nilai Min Type "UMP"

Untuk Case bisa di coba di client BMS http://remote.minovais.com:61123/

Server Db: remote.minovais.com, 1452\MSSQLSERVER2014

Nama DB : MinovaHR_ESS_Mega_Syariah_Production

History

#1 - 10/18/2022 09:56 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 10/18/2022 04:35 PM - Tri Rizqgiaty

- Status changed from Assigned to Developing

Fixing :

Update folder ExtensionLibraries : MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll

Notes untuk Asuransi Bintang :
Kode ump_code di table base_cust_ref_emp_office tidak sesuai dengan table base_cust_ref_ump, mohon disamakan terlebih dahulu

Sebelum copas dll mohon diback up terlebih dahulu

#3 - 10/18/2022 04:36 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Mohammad Daud

#4 - 11/09/2022 04:27 PM - Muhammad Bintar
- File MinovalS.MinovaES.Implementation.Data.Element.dll added

update file

#5 - 11/17/2022 03:24 PM - Mohammad Daud
- Status changed from QA Test to Closed

#6 - 12/07/2022 10:14 AM - Tri Rizqgiaty
- File MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll added

Package DLL

#7 - 01/19/2023 05:34 PM - Tri Rizqiaty
- File deleted (MinovalS.MinovaERP.Extended.PY.BusinessComponent.dill)
#8 - 01/19/2023 05:42 PM - Tri Rizqgiaty

- File clipboard-202301191736-g5dty.png added

- File MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll added
- File MinovalS.MinovaERP.Product.Core.DataComponent.dll added

Fixing BMS Existing :
1. Update field table hr_md_emp0003, tambahkan field bpjs_tk_type, bpjs_tk_id

2. Update isi table hr_md_emp0003, pindahkan isi field jamsostek_type ke field bpjs_tk_type, jadi field jamsostek_type dibuat kosong
3. Update isi table hr_md_emp0003, pindahkan isi field jamsostek_id ke field bpjs_tk_id, jadi field jamsostek_type dibuat kosong

MINCVAIS-SERVER..r_md_emp_md0003 & >C JIIIeRt et Siu s iy s =T i T ) MINOVAIS-SERVER...r_md_emp_md0003 SQLQuery7.sql - not conned

Column Name Data Type Allow Mulls
atm_card_non varchar(16)
npwp_date varchar(g)
bank_account_name varchar{MAX])
no_tht varchar{MAXK)
bank_id_others varchar(30) 1. Tambahkan 2 field ini di table hr_md_emp0003
bank_account_others varchar(30) 2. Pindahkan isi field jamsostek_type ke field bpjs_tk_type
bpjs_kes_type varchar({10) 3. Pindahkan isi field jamsostek ke field bpjs_tk_id
bpjs_kes_id varchar(50)
bpjs_pen_type wvarchar(10)
bpjs_pen_id varchar(50) /
bpjs_tk_type varchar(10)
bpjs_thk_id varchar(50)
O

Column Properties

4. Update folder bin : MinovalS.MinovaERP.Product.Core.DataComponent.dll
5. Update folder ExtensionLibraries : MinovalS.MinovaERP.Extended.PY .BusinessComponent.dll

Notes: tolong back up dll yang lama, sebelum diupdate

#9 - 01/19/2023 05:42 PM - Tri Rizqiaty
- Status changed from Closed to QA Test

Files

clipboard-202210171712-b3vw3.png 11 KB 10/17/2022 Mohammad Daud
MinovalS.MinovaES.Implementation.Data.Element.dl| 148 KB 11/09/2022 Muhammad Bintar
clipboard-202301191736-g5dty.png 46.7 KB 01/19/2023 Tri Rizgiaty
MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll 57.5 KB 01/19/2023 Tri Rizqgiaty
MinovalS.MinovaERP.Product.Core.DataComponent.dll 4.75 MB 01/19/2023 Tri Rizqiaty
